﻿@{
    ViewBag.Title = "Home Page";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="container-fluid">
    <!-- Icon Cards-->
    <div class="row justify-content-center">
        <div class="col-xl-2 col-sm-6 mb-3">
            <div class="card text-white bg-danger o-hidden h-100">
                <div class="card-body">
                    <div class="card-body-icon">
                        <i class="fas fa-fw fa-syringe"></i>
                    </div>
                    <div class="mr-5"><b>A1 - SQL Injection</b></div>
                </div>
                <a class="card-footer text-white clearfix small z-1" href="/Login/Index">
                    <span class="float-left">Access to Features</span>
                    <span class="float-right">
                        <i class="fas fa-angle-right"></i>
                    </span>
                </a>
            </div>
        </div>
        <div class="col-xl-2 col-sm-6 mb-3">
            <div class="card text-white bg-warning o-hidden h-100">
                <div class="card-body">
                    <div class="card-body-icon">
                        <i class="fas fa-fw fa-key"></i>
                    </div>
                    <div class="mr-5"><b>A2 - Broken Authentication and Session Management</b></div>
                </div>
                <a class="card-footer text-white clearfix small z-1" href="#">
                    <span class="float-left">Access to Features</span>
                    <span class="float-right">
                        <i class="fas fa-angle-right"></i>
                    </span>
                </a>
            </div>
        </div>
        <div class="col-xl-2 col-sm-6 mb-3">
            <div class="card text-white bg-success o-hidden h-100">
                <div class="card-body">
                    <div class="card-body-icon">
                        <i class="fas fa-fw fa-file-code"></i>
                    </div>
                    <div class="mr-5"><b>A3 - Cross-site Scripting (XSS)</b></div>
                </div>
                <a class="card-footer text-white clearfix small z-1" href="/Product/Create">
                    <span class="float-left">Access to Features</span>
                    <span class="float-right">
                        <i class="fas fa-angle-right"></i>
                    </span>
                </a>
            </div>
        </div>
        <div class="col-xl-2 col-sm-6 mb-3">
            <div class="card text-white bg-primary o-hidden h-100">
                <div class="card-body">
                    <div class="card-body-icon">
                        <i class="fas fa-fw fa-exchange-alt"></i>
                    </div>
                    <div class="mr-5"><b>A4 - Insecure Direct Object References (IDOR)</b></div>
                </div>
                @{
                    var session = (CyberSafe_SaveMe.Common.UserLogin)Session[CyberSafe_SaveMe.Common.CommonConstants.USER_SESSION];
                }

                <a class="card-footer text-white clearfix small z-1" href="@Url.Action("Details", "User", new {@id=session.UserID })">
                    <span class="float-left">Access to Features</span>
                    <span class="float-right">
                        <i class="fas fa-angle-right"></i>
                    </span>
                </a>
            </div>
        </div>
        <div class="col-xl-2 col-sm-6 mb-3">
            <div class="card text-white bg-dark o-hidden h-100">
                <div class="card-body">
                    <div class="card-body-icon">
                        <i class="fas fa-fw fa-mask"></i>
                    </div>
                    <div class="mr-5"><b>A8 - Crost Site Request Forgery (CSRF)</b></div>
                </div>
                <a class="card-footer text-white clearfix small z-1" href="@Url.Action("ChangePassword", "User", new {@id=session.UserID })">
                    <span class="float-left">Access to Features</span>
                    <span class="float-right">
                        <i class="fas fa-angle-right"></i>
                    </span>
                </a>
            </div>
        </div>
    </div>
    <div class="row justify-content-center">
        <div class="col-x1-10 " style="margin-top: 20px;">
            <h4 class="text-center">Click on specific Cards to access to vulnerability features. <b>Identify</b> issues/weaknesses and <b>Save</b> the application !!!</h4>
        </div>
    </div>
</div>
